IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[pub_message]') AND type = 'U')
CREATE TABLE [dbo].[pub_message]
(
    [msg_id] bigint NOT NULL IDENTITY(1, 1),
    [msg_cmpid] int NULL DEFAULT((0)),
    [msg_mpid] int NULL DEFAULT((0)),
    [msg_text] nvarchar(4000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [msg_senddate] datetime NULL DEFAULT(getdate()),
    [msg_type] varchar(10) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [msg_target] varchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [msg_cuid] int NULL DEFAULT((0)),
    [msg_sendtimes] int NULL DEFAULT((0)),
    CONSTRAINT [PK_PUB_MESSAGE] PRIMARY KEY ([msg_id] ASC)
)